### GET /v2/prompt_setup Source: https://cloud.ibm.com/apidocs/ai-openscale.json Gets the status of the prompt setup for the given prompt template asset. ```markdown ### Parameters - **prompt_template_asset_id** (PromptTemplateAssetId, query, required): The GUID of the prompt template asset. - **project_id** (ProjectId, query, optional): The GUID of the project. - **space_id** (SpaceId, query, optional): The GUID of the space. - **deployment_id** (DeploymentId, query, optional): The GUID of the deployment. ### Responses #### 200 - The status of the prompt setup returned successfully. **PromptSetupResponse** - **prompt_template_asset_id** (string) (required) (example: "1c133af3-5115-4f31-8376-6975434288c8") - **project_id** (string) (example: "c5b95e10-d422-42f9-ba14-566fecfd550c") - **space_id** (string) (example: "fa883e36-1bdf-445c-b66e-431b3fa49f10") - **deployment_id** (string) (example: "075ef77c-3211-4098-bc7f-9ae783df6306") - **service_provider_id** (string) (example: "348845a2-0099-45d1-a050-5960bb563249") - **subscription_id** (string) (example: "c37c3c7c-67ae-48be-84bd-86cd2b25e618") - **mrm_monitor_instance_id** (string): The MRM monitor instance ID. - **start_time** (string) (required): The date-timestamp when the prompt setup was started. - **end_time** (string): The date-timestamp when the prompt setup ended. - **status** (object) #### 400 - Bad Request. #### 401 - Unauthorized. #### 500 - Internal Server Error. ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/prompt_setup?prompt_template_asset_id=value&project_id=value&space_id=value&deployment_id=value" ``` ``` -------------------------------- ### GET /v2/explanation_tasks Source: https://cloud.ibm.com/apidocs/ai-openscale.json List of all the computed explanations ```markdown ### Parameters - **subscription_id** (SubscriptionId, query, required): Unique subscription ID - **offset** (integer, query, optional): offset of the explanations to return - **limit** (integer, query, optional): Maximum number of explanations to return - **scoring_id** (string, query, optional): ID of the scoring transaction - **status** (string (in_progress|finished|error), query, optional): Status of the explanation task ### Responses #### 200 - Explanations successfully retrieved **GetExplanationTasksResponse** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/explanation_tasks?subscription_id=value&offset=0&limit=50&scoring_id=string&status=in_progress" ``` ``` -------------------------------- ### GET /v2/monitor_instances/{monitor_instance_id} Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get monitor instance details ```markdown ### Parameters - **expand** (string, query, optional): comma-separated list of fields (supported fields are unprocessed_records and total_records) ### Responses #### 200 - Monitoring details retrieved successfully **MonitorInstanceResponse** - **metadata** (object) - **id** (string) (required): The ID (typically a GUID) which uniquely identifies the resource - **crn** (string): Cloud Resource Name (CRN) uniquely identify IBM Cloud resource (https://console.bluemix.net/docs/overview/crn.html) (example: "crn:v1:bluemix:public:aiopenscale:us-south:a/{account-id}:{instance-id}:{resource-type}:{resource-id}") - **url** (string) (required): The URL which can be used to uniquely refer to the resource Typically a GET on this url would return details of the resource, a DELETE would delete it and a PUT/PATCH would update it. - **created_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **created_by** (string): The IAM ID of the user who created the resource (example: "IBMid-1100011XYZ") - **modified_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **modified_by** (string): The IAM ID of the user who last modified the resource (example: "IBMid-1100011XYZ") - **entity** (object) - **data_mart_id** (string) (required) (example: "dad3ed3f-db8d-4b35-b59e-7acad5348a3a") - **monitor_definition_id** (string) (required) (example: "quality") - **target** (object) (required) - **target_type** (string (subscription|instance|data_mart|project|space)) (required): Type of the target (e.g. subscription, ...) ("subscription"|"instance"|"data_mart"|"project"|"space") - **target_id** (string) (required): ID of the data set target (e.g. subscription ID, ...) (example: "4b133ea1-3097-4175-82a1-4fd80759de26") - **parameters** (object): Monitoring parameters consistent with the `parameters_schema` from the monitor definition (example: {"monitorParam1":"value1","monitorParam2":2,"monitorParam3":{"field1":"fieldvalue1"},"monitorParam4":["elem1","elem2"]}) - **thresholds** (array (MetricThresholdOverride)) - **schedule** (object): The schedule used to control how frequently the target is monitored. The maximum frequency is once every 30 minutes. Defaults to once every hour if not specified. (example: {"repeat_interval":1,"repeat_unit":"hour","repeat_type":"hour"}) - **repeat_interval** (integer) (required): The interval to monitor the target. - **repeat_unit** (string (minute|hour|day|week|month|year)) (required): The type of interval to monitor the target. ("minute"|"hour"|"day"|"week"|"month"|"year") - **start_time** (object): Definition of first run time for scheduled activity; either absolute or relative the the moment of activation (example: {"type":"relative","delay_unit":"minute","delay":2}) - **type** (string (relative|absolute)) (required): The type of start time ("relative"|"absolute") - **delay_unit** (string (minute|hour|day|week|month|year)): must be set if type is `relative` ("minute"|"hour"|"day"|"week"|"month"|"year") - **delay** (integer): must be set if type is `relative` - **timestamp** (string (date-time)): must be set if type is `absolute` (example: "2018-11-21T09:37:55.523Z") - **repeat_type** (string): The type of interval to monitor the target. - **status** (string (enabled|disabled)): The status of scheduler to trigger new evaluation based on configuration ("enabled"|"disabled") - **schedule_id** (string) - **managed_by** (string) - **unprocessed_records** (object): Summary about records count - **count** (integer) (required) - **type** (string (payload_logging|feedback)) (required): The type of records time ("payload_logging"|"feedback") - **timestamp** (string (date-time)): timestamp of last consumed record (only for unprocessed_records) - **failure** (object) - **total_records** (object): Summary about records count - **count** (integer) (required) - **type** (string (payload_logging|feedback)) (required): The type of records time ("payload_logging"|"feedback") - **timestamp** (string (date-time)): timestamp of last consumed record (only for unprocessed_records) - **failure** (object) - **value** (string) - **status** (object) (required) - **state** (string (preparing|active|failed|deleting|pending_delete)) (required) ("preparing"|"active"|"failed"|"deleting"|"pending_delete") - **failure** (object) - **activity_status** (object) - **id** (string) (example: "c37c3c7c-67ae-48be-84bd-86cd2b25e618") - **url** (string) (example: "/v2/activity_statuses/c37c3c7c-67ae-48be-84bd-86cd2b25e618") ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_instances/{monitor_instance_id}?expand=string" ``` ``` -------------------------------- ### Schema: PromptSetupMetaField Source: https://cloud.ibm.com/apidocs/ai-openscale.json The details of the meta-fields to be input for prompt setup. ```markdown ## Schema: PromptSetupMetaField The details of the meta-fields to be input for prompt setup. **Type:** object - **name** (string): The name of the meta-field. - **data_type** (string): The data-type of the meta-field. (example: ["string","double","boolean","integer"]) ``` -------------------------------- ### GET /v2/integrated_systems Source: https://cloud.ibm.com/apidocs/ai-openscale.json List integrated systems ```markdown ### Parameters - **type** (IntegratedSystemType, query, optional): comma-separated list of type for the integrated system ### Responses #### 200 - Integrated Systems returned successfully **IntegratedSystemCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/integrated_systems?type=value" ``` ``` -------------------------------- ### GET /v2/explanation_tasks/{explanation_task_id} Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get explanation for the given explanation task id ```markdown ### Responses #### 200 - Explanation successfully retrieved **GetExplanationTaskResponse** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/explanation_tasks/{explanation_task_id}" ``` ``` -------------------------------- ### GET /v2/monitor_instances Source: https://cloud.ibm.com/apidocs/ai-openscale.json List monitor instances ```markdown ### Parameters - **data_mart_id** (string, query, optional): comma-separated list of IDs - **monitor_definition_id** (string, query, optional): comma-separated list of IDs - **target.target_id** (string, query, optional): comma-separated list of IDs - **target.target_type** (string, query, optional): comma-separated list of types ### Responses #### 200 - Monitor instances listed successfully **MonitorInstanceCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_instances?data_mart_id=string&monitor_definition_id=string&target.target_id=string&target.target_type=string" ``` ``` -------------------------------- ### GET /v2/monitor_definitions Source: https://cloud.ibm.com/apidocs/ai-openscale.json List available monitors ```markdown ### Parameters - **name** (string, query, optional): comma-separated list of names - **type** (string, query, optional): Either of `service` or `user` can be specified. `service` is corresponding to monitor definitions managed by IBM, and `user` is corresponding to those of managed by users. ### Responses #### 200 - response **MonitorCollections** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_definitions?name=string&type=string" ``` ``` -------------------------------- ### GET /v2/integrated_systems/{integrated_system_id} Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get a specific integrated system ```markdown ### Responses #### 200 - Integrated System details retrieved successfully **IntegratedSystemResponse** - **metadata** (object) - **id** (string) (required): The ID (typically a GUID) which uniquely identifies the resource - **crn** (string): Cloud Resource Name (CRN) uniquely identify IBM Cloud resource (https://console.bluemix.net/docs/overview/crn.html) (example: "crn:v1:bluemix:public:aiopenscale:us-south:a/{account-id}:{instance-id}:{resource-type}:{resource-id}") - **url** (string) (required): The URL which can be used to uniquely refer to the resource Typically a GET on this url would return details of the resource, a DELETE would delete it and a PUT/PATCH would update it. - **created_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **created_by** (string): The IAM ID of the user who created the resource (example: "IBMid-1100011XYZ") - **modified_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **modified_by** (string): The IAM ID of the user who last modified the resource (example: "IBMid-1100011XYZ") - **entity** (object): Integrated System definition - **name** (string) (required): The name of the Integrated System. - **type** (string (open_pages|slack|webhook|hive|spark|jdbc|custom_metrics_provider|watson_knowledge_catalog|generative_ai_evaluator|embeddings_provider)) (required) ("open_pages"|"slack"|"webhook"|"hive"|"spark"|"jdbc"|"custom_metrics_provider"|"watson_knowledge_catalog"|"generative_ai_evaluator"|"embeddings_provider") - **description** (string) (required): The description of the Integrated System. - **credentials** (object) (required): The credentials for the Integrated System - **connection** (object): The additional connection information for the Integrated System - **group_ids** (array (string)): Access control list of group id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["10000","10001"]) - **user_ids** (array (string)): Access control list of user id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["1000330999","1000331301"]) - **parameters** (object): Additional parameters ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/integrated_systems/{integrated_system_id}" ``` ``` -------------------------------- ### GET /v2/monitoring_services/explainability/archives Source: https://cloud.ibm.com/apidocs/ai-openscale.json API to download the Explainability archive. ```markdown ### Parameters - **subscription_id** (SubscriptionId, query, required): Unique subscription ID ### Responses #### 200 - The archive was retrieved successfully. #### 401 - The user is not authorized to perform the action. #### 404 - The archive was not found. #### 500 - Internal server error. ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitoring_services/explainability/archives?subscription_id=value" ``` ``` -------------------------------- ### GET /v2/subscriptions Source: https://cloud.ibm.com/apidocs/ai-openscale.json List subscriptions ```markdown ### Parameters - **data_mart_id** (string, query, optional): comma-separated list of IDs - **service_provider_id** (string, query, optional): comma-separated list of IDs - **asset.asset_id** (string, query, optional): comma-separated list of IDs - **asset.asset_type** (string, query, optional): comma-separated list of types - **asset.foundational_model_id** (string, query, optional): comma-separated list of IDs - **deployment.deployment_id** (string, query, optional): comma-separated list of IDs - **deployment.deployment_type** (string, query, optional): comma-separated list of types - **integration_reference.integrated_system_id** (string, query, optional): comma-separated list of IDs - **integration_reference.external_id** (string, query, optional): comma-separated list of IDs - **risk_evaluation_status.state** (string, query, optional): comma-separated list of states - **service_provider.operational_space_id** (string, query, optional): comma-separated list of operational space ids (property of service provider object) - **service_provider.deployment_space_id** (string, query, optional): comma-separated list of deployment space ids (property of service provider object) - **service_provider.integrated_project_id** (string, query, optional): comma-separated list of integrated project ids (property of service provider object) - **pre_production_reference_id** (string, query, optional): comma-separated list of IDs ### Responses #### 200 - response **SubscriptionResponseCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/subscriptions?data_mart_id=string&service_provider_id=string&asset.asset_id=string&asset.asset_type=string&asset.foundational_model_id=string&deployment.deployment_id=string&deployment.deployment_type=string&integration_reference.integrated_system_id=string&integration_reference.external_id=string&risk_evaluation_status.state=string&service_provider.operational_space_id=string&service_provider.deployment_space_id=string&service_provider.integrated_project_id=string&pre_production_reference_id=string" ``` ``` -------------------------------- ### GET /v2/monitor_instances/{monitor_instance_id}/runs Source: https://cloud.ibm.com/apidocs/ai-openscale.json List monitoring runs ```markdown ### Parameters - **start** (string, query, optional): The page token indicating where to start paging from. - **limit** (integer, query, optional): The limit of the number of items to return, for example limit=50. If not specified a default of 100 will be used. ### Responses #### 200 - Got history of monitoring runs **MonitoringRunCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_instances/{monitor_instance_id}/runs?start=string&limit=100" ``` ``` -------------------------------- ### Schema: GetExplanationTaskResponse Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get explanation task response ```markdown ## Schema: GetExplanationTaskResponse Get explanation task response **Type:** object ``` -------------------------------- ### Schema: ExplanationTaskResponseEntityAsset Source: https://cloud.ibm.com/apidocs/ai-openscale.json Asset details in get explanation task response ```markdown ## Schema: ExplanationTaskResponseEntityAsset Asset details in get explanation task response **Type:** object ``` -------------------------------- ### GET /v2/service_providers Source: https://cloud.ibm.com/apidocs/ai-openscale.json List associated Machine Learning service instances ```markdown ### Parameters - **show_deleted** (boolean, query, optional): show also resources pending delete - **service_type** (string, query, optional): Type of service - **instance_id** (string, query, optional): comma-separated list of IDs - **operational_space_id** (string, query, optional): comma-separated list of IDs - **deployment_space_id** (string, query, optional): comma-separated list of IDs - **integrated_project_id** (string, query, optional): comma-separated list of IDs ### Responses #### 200 - response **ServiceProviderResponseCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/service_providers?show_deleted=true&service_type=string&instance_id=string&operational_space_id=string&deployment_space_id=string&integrated_project_id=string" ``` ``` -------------------------------- ### POST /v2/prompt_setup Source: https://cloud.ibm.com/apidocs/ai-openscale.json Performs the service provider creation, subscription creation and monitors configuration for the given prompt template asset. ```markdown ### Parameters - **prompt_template_asset_id** (PromptTemplateAssetId, query, required): The GUID of the prompt template asset. - **project_id** (ProjectId, query, optional): The GUID of the project. - **space_id** (SpaceId, query, optional): The GUID of the space. - **deployment_id** (DeploymentId, query, optional): The GUID of the deployment. ### Request Body **Content-Type:** application/json - **label_column** (string) (required): The name of the column containing the ground truth or actual labels. - **operational_space_id** (string) (required): The rank of the environment in which the monitoring is happening. Accepted values are `development`, `pre_production`, `production`. - **problem_type** (string) (required): The task type to monitor for the given prompt template asset. - **classification_type** (string): The classification type `binary`/`multiclass` applicable only for `classification` problem (task) type. - **input_data_type** (string) (required): The input data type. - **context_fields** (array (string)): The list of prompt variables containing the context. Applicable only for Retrieval-Augmented Generation problem type. - **question_field** (string): The prompt variable containing the question. Applicable only for Retrieval-Augmented Generation problem type. - **meta_fields** (array (PromptSetupMetaField)): The list of meta-fields for the prompt. Array items: - **name** (string): The name of the meta-field. - **data_type** (string): The data-type of the meta-field. (example: ["string","double","boolean","integer"]) - **monitors** (object) - **monitor_definition_id** (object) - **parameters** (object) - **thresholds** (array (object)) **Content-Type:** multipart/form-data - **body** (string (binary)) - **drift_archive** (string (binary)) ### Responses #### 202 - Prompt setup request accepted successfully. **PromptSetupResponse** - **prompt_template_asset_id** (string) (required) (example: "1c133af3-5115-4f31-8376-6975434288c8") - **project_id** (string) (example: "c5b95e10-d422-42f9-ba14-566fecfd550c") - **space_id** (string) (example: "fa883e36-1bdf-445c-b66e-431b3fa49f10") - **deployment_id** (string) (example: "075ef77c-3211-4098-bc7f-9ae783df6306") - **service_provider_id** (string) (example: "348845a2-0099-45d1-a050-5960bb563249") - **subscription_id** (string) (example: "c37c3c7c-67ae-48be-84bd-86cd2b25e618") - **mrm_monitor_instance_id** (string): The MRM monitor instance ID. - **start_time** (string) (required): The date-timestamp when the prompt setup was started. - **end_time** (string): The date-timestamp when the prompt setup ended. - **status** (object) #### 400 - Bad Request. #### 401 - Unauthorized. #### 500 - Internal Server Error. ### Example Usage ```bash curl -X POST "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/prompt_setup?prompt_template_asset_id=value&project_id=value&space_id=value&deployment_id=value" \ -H "Content-Type: application/json" \ -d '{ "label_column": "string", "operational_space_id": "string", "problem_type": "string", "classification_type": "string", "input_data_type": "string", "context_fields": [ "string" ], "question_field": "string", "meta_fields": [ "value" ], "monitors": { "monitor_definition_id": { "parameters": "value", "thresholds": [ "value" ] } } }' ``` ``` -------------------------------- ### GET /v2/monitor_instances/{monitor_instance_id}/measurements Source: https://cloud.ibm.com/apidocs/ai-openscale.json Query measurements from OpenScale DataMart. It is required to either provide a `start end` or `run_id` parameter. ```markdown ### Parameters - **start** (string (date-time), query, required): Beginning of the time range - **end** (string (date-time), query, required): End of the time range - **run_id** (string, query, optional): Comma delimited list of measurement run_id - **filter** (string, query, optional): Filter expression can consist of any metric tag or a common column of string type followed by filter name and optionally a value, all delimited by colon. Supported filters are: `in`, `eq`, `null` and `exists`. Sample filters are: `filter=region:in:[us,pl],segment:eq:sales` or `filter=region:null,segment:exists`. - **limit** (integer, query, optional): Maximum number of measurements returned - **offset** (integer, query, optional): Offset of measurements returned ### Responses #### 200 - Measurements data queried successfully. For measurement POSTed with **v1**, value of `issue_count` and `run_id` property will be `null`. **MonitorMeasurementResponseCollection** ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_instances/{monitor_instance_id}/measurements?start=2023-01-01T00:00:00Z&end=2023-01-01T00:00:00Z&run_id=string&filter=string&limit=100&offset=0" ``` ``` -------------------------------- ### GET /v2/user_preferences Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get User Preferences ```markdown ### Responses #### 200 - response ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/user_preferences" ``` ``` -------------------------------- ### POST /v2/monitor_instances Source: https://cloud.ibm.com/apidocs/ai-openscale.json Create a new monitor instance ```markdown ### Parameters - **skip_scheduler** (boolean, query, optional): prevent schedule creation for this monitor instance ### Request Body **Content-Type:** application/json ### Responses #### 200 - Monitoring enabled successfully **MonitorInstanceResponse** - **metadata** (object) - **id** (string) (required): The ID (typically a GUID) which uniquely identifies the resource - **crn** (string): Cloud Resource Name (CRN) uniquely identify IBM Cloud resource (https://console.bluemix.net/docs/overview/crn.html) (example: "crn:v1:bluemix:public:aiopenscale:us-south:a/{account-id}:{instance-id}:{resource-type}:{resource-id}") - **url** (string) (required): The URL which can be used to uniquely refer to the resource Typically a GET on this url would return details of the resource, a DELETE would delete it and a PUT/PATCH would update it. - **created_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **created_by** (string): The IAM ID of the user who created the resource (example: "IBMid-1100011XYZ") - **modified_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **modified_by** (string): The IAM ID of the user who last modified the resource (example: "IBMid-1100011XYZ") - **entity** (object) - **data_mart_id** (string) (required) (example: "dad3ed3f-db8d-4b35-b59e-7acad5348a3a") - **monitor_definition_id** (string) (required) (example: "quality") - **target** (object) (required) - **target_type** (string (subscription|instance|data_mart|project|space)) (required): Type of the target (e.g. subscription, ...) ("subscription"|"instance"|"data_mart"|"project"|"space") - **target_id** (string) (required): ID of the data set target (e.g. subscription ID, ...) (example: "4b133ea1-3097-4175-82a1-4fd80759de26") - **parameters** (object): Monitoring parameters consistent with the `parameters_schema` from the monitor definition (example: {"monitorParam1":"value1","monitorParam2":2,"monitorParam3":{"field1":"fieldvalue1"},"monitorParam4":["elem1","elem2"]}) - **thresholds** (array (MetricThresholdOverride)) - **schedule** (object): The schedule used to control how frequently the target is monitored. The maximum frequency is once every 30 minutes. Defaults to once every hour if not specified. (example: {"repeat_interval":1,"repeat_unit":"hour","repeat_type":"hour"}) - **repeat_interval** (integer) (required): The interval to monitor the target. - **repeat_unit** (string (minute|hour|day|week|month|year)) (required): The type of interval to monitor the target. ("minute"|"hour"|"day"|"week"|"month"|"year") - **start_time** (object): Definition of first run time for scheduled activity; either absolute or relative the the moment of activation (example: {"type":"relative","delay_unit":"minute","delay":2}) - **type** (string (relative|absolute)) (required): The type of start time ("relative"|"absolute") - **delay_unit** (string (minute|hour|day|week|month|year)): must be set if type is `relative` ("minute"|"hour"|"day"|"week"|"month"|"year") - **delay** (integer): must be set if type is `relative` - **timestamp** (string (date-time)): must be set if type is `absolute` (example: "2018-11-21T09:37:55.523Z") - **repeat_type** (string): The type of interval to monitor the target. - **status** (string (enabled|disabled)): The status of scheduler to trigger new evaluation based on configuration ("enabled"|"disabled") - **schedule_id** (string) - **managed_by** (string) - **unprocessed_records** (object): Summary about records count - **count** (integer) (required) - **type** (string (payload_logging|feedback)) (required): The type of records time ("payload_logging"|"feedback") - **timestamp** (string (date-time)): timestamp of last consumed record (only for unprocessed_records) - **failure** (object) - **total_records** (object): Summary about records count - **count** (integer) (required) - **type** (string (payload_logging|feedback)) (required): The type of records time ("payload_logging"|"feedback") - **timestamp** (string (date-time)): timestamp of last consumed record (only for unprocessed_records) - **failure** (object) - **value** (string) - **status** (object) (required) - **state** (string (preparing|active|failed|deleting|pending_delete)) (required) ("preparing"|"active"|"failed"|"deleting"|"pending_delete") - **failure** (object) - **activity_status** (object) - **id** (string) (example: "c37c3c7c-67ae-48be-84bd-86cd2b25e618") - **url** (string) (example: "/v2/activity_statuses/c37c3c7c-67ae-48be-84bd-86cd2b25e618") #### 202 - Monitoring configuration started ### Example Usage ```bash curl -X POST "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/monitor_instances?skip_scheduler=false" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v2/operational_spaces/{operational_space_id} Source: https://cloud.ibm.com/apidocs/ai-openscale.json Get an operational space ```markdown ### Responses #### 200 - Operational Space details retrieved successfully **OperationalSpaceResponse** - **metadata** (object) - **id** (string) (required): The ID (typically a GUID) which uniquely identifies the resource - **crn** (string): Cloud Resource Name (CRN) uniquely identify IBM Cloud resource (https://console.bluemix.net/docs/overview/crn.html) (example: "crn:v1:bluemix:public:aiopenscale:us-south:a/{account-id}:{instance-id}:{resource-type}:{resource-id}") - **url** (string) (required): The URL which can be used to uniquely refer to the resource Typically a GET on this url would return details of the resource, a DELETE would delete it and a PUT/PATCH would update it. - **created_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **created_by** (string): The IAM ID of the user who created the resource (example: "IBMid-1100011XYZ") - **modified_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **modified_by** (string): The IAM ID of the user who last modified the resource (example: "IBMid-1100011XYZ") - **entity** (object): Operational Space definition - **name** (string) (required): The name of the Operational Space. - **description** (string): The description of the Operational Space. ### Example Usage ```bash curl -X GET "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/operational_spaces/{operational_space_id}" ``` ``` -------------------------------- ### POST /v2/integrated_systems Source: https://cloud.ibm.com/apidocs/ai-openscale.json Create a new integrated system ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the Integrated System. - **type** (string (open_pages|slack|webhook|hive|spark|jdbc|custom_metrics_provider|watson_knowledge_catalog|generative_ai_evaluator|embeddings_provider)) (required) ("open_pages"|"slack"|"webhook"|"hive"|"spark"|"jdbc"|"custom_metrics_provider"|"watson_knowledge_catalog"|"generative_ai_evaluator"|"embeddings_provider") - **description** (string) (required): The description of the Integrated System. - **credentials** (object) (required): The credentials for the Integrated System - **connection** (object): The additional connection information for the Integrated System - **group_ids** (array (string)): Access control list of group id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["10000","10001"]) - **user_ids** (array (string)): Access control list of user id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["1000330999","1000331301"]) - **parameters** (object): Additional parameters ### Responses #### 201 - Integrated System successfully created. **IntegratedSystemResponse** - **metadata** (object) - **id** (string) (required): The ID (typically a GUID) which uniquely identifies the resource - **crn** (string): Cloud Resource Name (CRN) uniquely identify IBM Cloud resource (https://console.bluemix.net/docs/overview/crn.html) (example: "crn:v1:bluemix:public:aiopenscale:us-south:a/{account-id}:{instance-id}:{resource-type}:{resource-id}") - **url** (string) (required): The URL which can be used to uniquely refer to the resource Typically a GET on this url would return details of the resource, a DELETE would delete it and a PUT/PATCH would update it. - **created_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **created_by** (string): The IAM ID of the user who created the resource (example: "IBMid-1100011XYZ") - **modified_at** (string (date-time)): The timestamp when the resource was first created In format YYYY-MM-DDTHH:mm:ssZ or YYYY-MM-DDTHH:mm:ss.sssZ, matching the date-time format as specified by RFC 3339. - **modified_by** (string): The IAM ID of the user who last modified the resource (example: "IBMid-1100011XYZ") - **entity** (object): Integrated System definition - **name** (string) (required): The name of the Integrated System. - **type** (string (open_pages|slack|webhook|hive|spark|jdbc|custom_metrics_provider|watson_knowledge_catalog|generative_ai_evaluator|embeddings_provider)) (required) ("open_pages"|"slack"|"webhook"|"hive"|"spark"|"jdbc"|"custom_metrics_provider"|"watson_knowledge_catalog"|"generative_ai_evaluator"|"embeddings_provider") - **description** (string) (required): The description of the Integrated System. - **credentials** (object) (required): The credentials for the Integrated System - **connection** (object): The additional connection information for the Integrated System - **group_ids** (array (string)): Access control list of group id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["10000","10001"]) - **user_ids** (array (string)): Access control list of user id of Cloud Pak for Data (Only available for open_pages type and OpenScale on Cloud Pak for Data >= 4.0.6 with ENABLE_GROUP_AUTH being true) (example: ["1000330999","1000331301"]) - **parameters** (object): Additional parameters ### Example Usage ```bash curl -X POST "https://aiopenscale.cloud.ibm.com/openscale/{serviceInstanceId}/v2/integrated_systems" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "value", "description": "string", "credentials": "value", "connection": "value", "group_ids": [ "10000", "10001" ], "user_ids": [ "1000330999", "1000331301" ], "parameters": "value" }' ``` ```